package com.yunzhi.nanyang.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 绑定表;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "绑定表",description = "")
@TableName("tc_bind")
public class TcBind implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo ;
    /** 设备类型 */
    @ApiModelProperty(name = "设备类型",notes = "")
    private String deviceType ;
    /** 设备号 */
    @ApiModelProperty(name = "设备号",notes = "")
    private String deviceNo ;
    /** 农机类型 */
    @ApiModelProperty(name = "农机类型",notes = "")
    private String machineryType ;
    /** 农机名称 */
    @ApiModelProperty(name = "农机名称",notes = "")
    private String machineryName ;
    /** 农机图片 */
    @ApiModelProperty(name = "农机图片",notes = "")
    private String machineryThumb ;
    /** 归属人 */
    @ApiModelProperty(name = "归属人",notes = "")
    private String userName ;
    /** 手机号 */
    @ApiModelProperty(name = "手机号",notes = "")
    private String phone ;
    /** 身份证号 */
    @ApiModelProperty(name = "身份证号",notes = "")
    private String idCard ;
    /** 状态;0未入库1已入库 */
    @ApiModelProperty(name = "状态",notes = "0未入库1已入库")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}