package com.yunzhi.nanyang.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.nanyang.entity.TcBind;
import com.yunzhi.nanyang.mapper.TcBindMapper;
import com.yunzhi.nanyang.service.TcBindService;

/**
 * 绑定表;(tc_bind)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Service
public class TcBindServiceImpl extends BaseServiceImpl<TcBindMapper, TcBind> implements TcBindService {

    @Override
    public TcBind getByDevice(String deviceKind, String deviceNo) {
        return baseMapper.getByDevice(deviceKind, deviceNo);
    }

    @Override
    public boolean syncMachine() {
        baseMapper.syncMachine();
        return true;
    }
}