package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TdDevice;
import com.yunzhi.nanyang.mapper.TdDeviceMapper;
import com.yunzhi.nanyang.service.ITdDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.ChartParam;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 设备表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TdDeviceServiceImpl extends BaseServiceImpl<TdDeviceMapper, TdDevice> implements ITdDeviceService {

    @Override
    public IPage<TdDevice> getPageBy(IPage<TdDevice> pg, String deviceType, Integer onlineStatus) {
        return baseMapper.getPageBy(pg, deviceType, onlineStatus);
    }

    @Override
    public TdDevice getExistByDevice(String deviceType, String deviceNo) {
        return baseMapper.getExistByDevice(deviceType, deviceNo);
    }

    @Override
    public List<TdDevice> getListByTypes(List<String> typeList) {
        return baseMapper.getListByTypes(typeList);
    }

    @Override
    public ChartParam statisTotal(String deviceType) {
        return baseMapper.statisTotal(deviceType);
    }

    @Override
    public ChartParam statisJob(String deviceKind, String jobDate) {
        return baseMapper.statisJob(deviceKind, jobDate);
    }

    @Override
    public List<ChartParam> statisAreaByOrgJob(String deviceKind, String jobDate) {
        return baseMapper.statisAreaByOrgJob(deviceKind, jobDate);
    }

    @Override
    public List<ChartParam> statisNumByOrgJob(String deviceType) {
        return baseMapper.statisNumByOrgJob(deviceType);
    }

    @Override
    public List<ChartParam> statisAreaByPerson(String deviceKind, String jobDate) {
        return baseMapper.statisAreaByPerson(deviceKind, jobDate);
    }

    @Override
    public List<ChartParam> statisNumByPerson(String deviceType) {
        return baseMapper.statisNumByPerson(deviceType);
    }

    @Override
    public List<ChartParam> statisAreaByTown(String deviceKind, String jobDate) {
        return baseMapper.statisAreaByTown(deviceKind, jobDate);
    }
}
